Loading...
Searching...
No Matches
command_line.hpp File Reference
CMDLINE

contains routing in charge of the command-line and included files parsing More...

`#include "../my_config.h"`
`#include <string>`
`#include <deque>`
`#include <vector>`
`#include "libdar.hpp"`

Go to the source code of this file.

## Classes

struct | ent_params
| entrepot relative parameters More...
struct | line_param
| all parameters retreived from command-line More...

## Enumerations

enum | operation { noop , extract , create , diff , test , listing , isolate , merging , version_or_help , repairing }
enum | dirty_behavior { dirtyb_ignore , dirtyb_warn , dirtyb_ok }

## Functions

bool | get_args (shared_ptr< user_interaction > &dialog, const char *home, const deque< string > &dar_dcf_path, const deque< string > &dar_duc_path, S_I argc, char *const argv[], line_param &param)
| main routine to extract parameters from command-line and included files
const char * | get_short_opt ()

## Detailed Description

contains routing in charge of the command-line and included files parsing

Definition in file command_line.hpp.